Bug 187111 - LowPerformance took 32523 ms.
LowPerformance took 32523 ms.
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: JDK Problems
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Antonin Nebuzelsky
issues@platform
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 02:20 UTC by Exceptions Reporter
Modified: 2010-10-05 14:02 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (5.67 KB, application/nps)
2010-06-03 02:20 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2010-06-03 02:20:32 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-5216-on-100521)
VM: Java HotSpot(TM) Client VM, 16.0-b13, Java(TM) SE Runtime Environment, 1.6.0_18-b07
OS: Windows 7

User Comments:
GUEST: Fresh start of NetBeans , trying to open project from harddisk.



Maximum slowness yet reported was 32523 ms, average is 23531
Comment 1 Exceptions Reporter 2010-06-03 02:20:36 UTC
Created attachment 99775 [details]
nps snapshot
Comment 2 Jesse Glick 2010-06-08 18:55:29 UTC
Blocked in Swing code.
Comment 3 Antonin Nebuzelsky 2010-10-05 14:02:04 UTC
Closing wontfix on our side.

FileSystemView.getSystemIcon() takes the time here. However, there are only two reports of this slowness here, and overall system overload was most probably the culprit.

One issue related to FileSystemView.getSystemIcon() performance is

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5086335


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo